package com.javaskool;

import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.Transaction;
import org.hibernate.cfg.Configuration;

public class TestDrive {	
	public static void main(String[] args) {
	
		//1. configuring hibernate
		Configuration confi=new Configuration().configure();
		
		//2. create sessionfactory
		SessionFactory sf=confi.buildSessionFactory();
		
		//3. Get Session object
		Session sess=sf.openSession();
		
		//4. Starting Transaction
		Transaction tran=sess.beginTransaction();
		
		//5. Loading items from session object
		Item i1=(Item)sess.get(Item.class, 2);
		
		//6. Deleting row
		sess.delete(i1);
		
		tran.commit();	
		}	
}
